<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 *
 * Let's Review AMP
 *
 * @since      3.0.0
 *
 * @package    Let's Review
 * @subpackage lets-review/inc
 */

class Lets_Review_AMP {

	/**
	 *  Constructor
	 *
	 * @since 2.0.0
	 *
	*/
	public function __construct() {
		add_action( 'amp_post_template_css', array( $this, 'lets_review_amp_extra_style' ), 11 );
	}

	/**
	 * AMP
	 *
	 * @since    1.0.0
	 */
	public function lets_review_amp_extra_style( $amp_template = '' ) {
		?>
		.inline-post .lets-review-api-wrap{display:none}.lets-review-block__wrap{position:relative;width:100%;margin-bottom:20px;text-align:left;font-size:14px;display:grid;grid-template-columns:repeat(2,1fr)}.lets-review-block__wrap .lets-review-block{grid-column-start:1;grid-column-end:4}.lets-review-block__wrap .score-overlay{position:absolute;height:100%;left:0;background:#666}.tipi-i-star2:before{content:"\f005";font-family:fontAwesome;speak:none;font-style:normal;font-weight:400;font-variant:normal;text-transform:none;font-size:inherit;line-height:1}.lets-review-score-type-1 .lets-review-block__crit__score:after{content:'%'}.lets-review-score-type-1 .score:after{content:'%';font-size:.4em;display:inline-block;margin-left:3px}.lets-review-ani-1 .lets-review-unseen:not(.lets-review-seen) .score-overlay{width:0}.lets-review-ani-1 .lets-review-unseen:not(.lets-review-seen) .score-overlay-wrap__icon .score-overlay{width:100%}.lr-all-c{display:-webkit-box;display:flex;-webkit-box-align:center;align-items:center;text-align:center;-webkit-box-pack:center;justify-content:center}.lr-vc{-webkit-box-align:center;align-items:center;display:-webkit-box;display:flex}.lets-review-skin-1{color:#111}.lets-review-skin-1 .score__wrap{color:#fff}.score-overlay-wrap__icon .score-overlay{opacity:.8}.lets-review-skin-1 .aff-button{border:2px solid #000;background:#fff;color:#000}.lets-review-skin-1 .aff-button:hover{color:#000}.lets-review-skin-2{color:#fff}.lets-review-skin-2 .aff-button{border:1px solid #353535;padding-right:20px;min-width:120px;color:#fff}.i-wrap{display:none}.lets-review-skin-2 .aff-button:hover{background:#353535;color:#fff}.lets-review--side{margin-bottom:20px}.lets-review--side .lets-review-block:last-of-type{margin-bottom:0}.lets-review--side .lets-review-block__title{text-align:center}.lets-review-block__pad{padding:20px}.score__title{font-size:11px;line-height:1}.score-overlay-wrap{position:relative;display:block}.score-overlay-wrap__bar{width:100%}.score-overlay-wrap__icon{margin-left:auto}.score-overlay-wrap__icon>:not(.score-overlay){margin-left:2px;font-size:18px}.score-overlay-wrap__icon .score-overlay{left:auto;right:0;top:0}.lets-review-block__user_rating .score-overlay-wrap__icon{margin-left:auto}.lets-review-block__title{font-weight:700;text-transform:uppercase;letter-spacing:2px;padding-bottom:30px;font-size:15px}.lets-review-block__main-title .lets-review-block__title{padding-bottom:0}.lets-review-block__main-title .lets-review-block__mask{margin-right:20px;height:40px;width:40px;border-radius:50%;overflow:hidden}.score__wrap{position:relative;flex-wrap:wrap}.score__wrap div{width:100%}.score__wrap .score+.score__title{margin-bottom:auto;margin-top:7px}.score{font-size:50px;line-height:1;font-weight:700}.score:first-child:nth-last-child(2){margin-top:auto}.lets-review-block__mask{position:relative}.lets-review-block__crits{text-align:left}.lets-review-block__crit__score{min-width:60px;text-align:right}.lets-review-block__crit__score,.lets-review-block__crit__title{position:relative;z-index:1}.lets-review-block__crit{font-weight:700;font-size:12px;-webkit-transition:.2s;transition:.2s;letter-spacing:1px}.lets-review--left{float:left}.lets-review-block{position:relative}.lets-review-block__bg{background-position:50% 50%;background-size:cover;width:100%;height:100%;position:absolute;top:0;left:0}.lets-review-block__bg:after{background:rgba(20,20,20,.85);content:'';height:100%;width:100%;position:absolute;left:0;top:0}.level-1 .score-overlay{background:#ff6554}.level-5 .score-overlay{background:#ffb644}.level-10 .score-overlay{background:#3fdb84}.lr-user__rating:not(.lr-user__rated){cursor:pointer;-webkit-transition:.3s;transition:.3s}.vote__count{margin-left:10px;color:#b5b5b5}.lets-review-block__proscons{display:-webkit-box;display:flex;text-align:center;-webkit-box-pack:center;justify-content:center}.lets-review-block__proscons>div{width:100%}.lets-review-block__procon{margin-bottom:5px}.lets-review-block__procon:after,.lets-review-block__procon:before{margin-left:-10px}.lets-review-block__con:before{content:'- '}.lets-review-block__pro:before{content:'- '}.lets-review-block__aff{text-align:center}.aff-button-wrap{position:relative;margin-bottom:-20px}.lr-button{-webkit-transition:.3s;transition:.3s;text-decoration:none;text-transform:uppercase;font-weight:700;min-height:40px;line-height:40px;text-align:center;display:inline-block;letter-spacing:1px;padding-left:20px;margin-bottom:30px;margin-left:15px;margin-right:15px;min-width:170px;font-size:12px;position:relative;padding-right:20px}.lets-review-block__images{flex-wrap:wrap;margin-bottom:-20px}.lets-review-block__image{width:60px;margin:0 10px 20px;height:60px;background:#111;position:relative;border-radius:50%;overflow:hidden}.lets-review-block__image img{-o-object-position:center;object-position:center;-o-object-fit:cover;object-fit:cover;height:100%;-webkit-transition:.3s;transition:.3s;width:100%}.lets-review-block__image:before{content:'+';position:absolute;opacity:0;top:50%;font-size:24px;-webkit-transform:translateY(-50%);transform:translateY(-50%);-webkit-transition:.3s;transition:.3s;text-align:center;width:100%;z-index:2;pointer-events:none}.lets-review-block__image:hover:before{opacity:1}.lets-review-block__image:hover img{opacity:.6}@media only screen and (min-width:481px){.lets-review-block__proscons{display:-webkit-box;display:flex}.lets-review-block__proscons>div{width:50%;padding:0 10px}}@media only screen and (min-width:600px){.lets-review--side{margin-right:30px;max-width:375px;width:50%}}@media only screen and (min-width:1020px){.lets-review-block__main-title .lets-review-block__title{font-size:24px}}@media only screen and (min-width:1200px){.lets-review-block__pad{padding:30px}}.lets-review-block__wrap-30 .lets-review-block__crits:hover .lets-review-block__crit{opacity:.2}.lets-review-block__wrap-30 .lets-review-block__crits:hover~.lets-review-block__number-reviews .number-reviews{opacity:.2}.lets-review-block__wrap-30 .lets-review-block__crits:hover a.leave__review{opacity:1;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%)}.lets-review-block__number-reviews{font-size:10px}.lets-review-block__number-reviews .number-reviews{-webkit-transition:.2s;transition:.2s;opacity:.5}a.leave__review{position:absolute;top:50%;z-index:2;background-color:#161616;border-radius:180px;padding-right:20px;opacity:0;color:#fff;margin:0;left:50%;-webkit-transition:.2s;transition:.2s;-webkit-transform:translate(-50%,calc(-50% + 10px));transform:translate(-50%,calc(-50% + 10px))}.lets-review-block__wrap-20 .lets-review-block__user_rating .lr-user__rating{margin-top:0}.lets-review-design-1 .lets-review-block__crits{-webkit-box-ordinal-group:4;order:3}.lets-review-design-1 .lets-review-block__proscons{-webkit-box-ordinal-group:5;order:4}.lets-review-design-1 .lets-review-block__final-score{-webkit-box-ordinal-group:5;order:4}.lets-review-design-1 .lets-review-block__conclusion__wrap{-webkit-box-ordinal-group:2;order:1}.lets-review-design-1 .lets-review-block__aff{-webkit-box-ordinal-group:5;order:4}.lets-review-design-1 .lets-review-block__crits{padding:20px}.lets-review-design-1 .lets-review-block__crits>div:first-of-type{margin-top:0}.lets-review-design-1 .lets-review-block__crit{display:-webkit-box;display:flex;flex-wrap:wrap;-webkit-box-align:center;align-items:center;margin-top:25px}.lets-review-design-1 .lets-review-block__crit__score{margin-left:auto}.lets-review-design-1 .score__wrap{width:140px;height:140px;margin-left:auto;margin-right:auto}.lets-review-design-1 .score-overlay-wrap__bar{height:10px;background:#fff;margin-top:5px}.lets-review-design-1.lets-review-score-type__icon .lets-review-block__main-title{padding-top:20px;padding-bottom:20px}.lets-review-design-1.lets-review-skin-2 .lets-review-block{background:#181818;border-top:2px solid #333}.lets-review-design-1.lets-review-skin-2 .lets-review-block:first-of-type{border-top:0}.lets-review-design-1.lets-review-skin-2 .score-overlay-wrap__icon .score-overlay{background:#181818}.lets-review-design-1.lets-review-skin-1 .lets-review-block{background:#f2f2f2;margin-top:5px}.lets-review-design-1.lets-review-skin-1 .lets-review-block:first-of-type{margin-top:0}.lets-review-design-1.lets-review-block__wrap-30 .lets-review-block__number-reviews{margin-top:0;padding-top:0;text-align:center;-webkit-box-ordinal-group:5;order:4}@media only screen and (min-width:768px){.lets-review-design-1:not(.lets-review--side) .lets-review-block__proscons{grid-column-start:1;grid-column-end:3}.lets-review-design-1:not(.lets-review--side) .lets-review-block__proscons~.lets-review-block__final-score{grid-column-start:3;grid-column-end:4;display:-webkit-box;display:flex;-webkit-box-align:center;align-items:center}}@media only screen and (min-width:1200px){.lets-review-design-1 .lets-review-block__crits{padding:30px}}.lets-review-design-2 .lets-review-block__main-title{-webkit-box-ordinal-group:1;order:0}.lets-review-design-2 .lets-review-block__crits{width:100%;position:relative;letter-spacing:1px;font-size:16px;margin-top:2px;-webkit-box-ordinal-group:2;order:1}.lets-review-design-2 .lets-review-block__proscons{-webkit-box-ordinal-group:3;order:2}.lets-review-design-2 .lets-review-block__final-score{-webkit-box-ordinal-group:4;order:3}.lets-review-design-2 .lets-review-block__conclusion__wrap{-webkit-box-ordinal-group:4;order:3}.lets-review-design-2 .lets-review-block__gallery{text-align:center;-webkit-box-ordinal-group:5;order:4}.lets-review-design-2 .lets-review-block__aff{-webkit-box-ordinal-group:5;order:4}.lets-review-design-2 .lets-review-block__crit{margin-bottom:2px;position:relative;height:50px;display:-webkit-box;display:flex;-webkit-box-align:center;align-items:center;padding:0 10px}.lets-review-design-2 .lets-review-block__crit__score{margin-left:auto;z-index:2}.lets-review-design-2 .score-overlay-wrap__bar{position:absolute;top:0;left:0;height:100%}.lets-review-design-2 .score__wrap{width:140px;height:140px;margin-left:auto;margin-right:auto;flex-wrap:wrap}.lets-review-design-2 .score__wrap div{width:100%}.lets-review-design-2 .score__wrap>:last-child{margin-bottom:auto}.lets-review-design-2 .score{margin-top:auto;font-size:50px;line-height:1}.lets-review-design-2.lets-review-score-type__icon .lets-review-block__main-title{padding-top:20px;padding-bottom:20px}.lets-review-design-2.lets-review-score-type__icon .lets-review-block__crit{padding:0 30px;font-size:14px}.lets-review-design-2.lets-review-skin-2{background:#181818}.lets-review-design-2.lets-review-skin-2 .lets-review-block__conclusion__wrap,.lets-review-design-2.lets-review-skin-2 .lets-review-block__final-score,.lets-review-design-2.lets-review-skin-2 .lets-review-block__gallery~.lets-review-block__aff{background:#111}.lets-review-design-2.lets-review-skin-2 .score-overlay-wrap__icon .score-overlay{background:#181818}.lets-review-design-2.lets-review-skin-1 .score-overlay{background:#f2f2f2;}.lets-review-design-2.lets-review-skin-1{background:#f2f2f2}.lets-review-design-2.lets-review-skin-1 .lets-review-block__conclusion__wrap,.lets-review-design-2.lets-review-skin-1 .lets-review-block__final-score,.lets-review-design-2.lets-review-skin-1 .lets-review-block__main-title{background:#e9e9e9}@media only screen and (min-width:768px){.lets-review-design-2:not(.lets-review--side) .lets-review-block__final-score{grid-column-start:3;grid-column-end:4;display:-webkit-box;display:flex;-webkit-box-align:center;align-items:center}.lets-review-design-2:not(.lets-review--side) .lets-review-block__conclusion__wrap{grid-column-start:1;grid-column-end:3}}.lets-review-design-3{background-color:#181818;color:#fff;text-align:center}.lets-review-design-3 .score__wrap{background:#181818;border:7px solid transparent;border-radius:50%;width:160px;height:160px;margin:0 auto;color:#fff}.lets-review-design-3 .aff-button{color:#161616}.lets-review-design-3 .lets-review-block__main-title{text-align:center;-webkit-box-pack:center;justify-content:center}.lets-review-design-3 .lets-review-block__bg+.lets-review-block{padding-top:60px}.lets-review-design-4{background-color:#181818;color:#fff;text-align:center;margin-top:90px}.lets-review-design-4 .lets-review-block__main-title{-webkit-box-ordinal-group:3;order:2}.lets-review-design-4 .lets-review-block__proscons{-webkit-box-ordinal-group:4;order:3}.lets-review-design-4 .lets-review-block__final-score{padding-top:0;-webkit-box-ordinal-group:2;order:1}.lets-review-design-4 .lets-review-block__conclusion__wrap{-webkit-box-ordinal-group:4;order:3}.lets-review-design-4 .lets-review-block__aff{-webkit-box-ordinal-group:5;order:4}.lets-review-design-4 .score__wrap{padding:0;width:180px;height:180px;margin:-90px auto 0;position:relative;color:#fff;-webkit-clip-path:polygon(30% 0,70% 0,100% 30%,100% 70%,70% 100%,30% 100%,0 70%,0 30%);clip-path:polygon(30% 0,70% 0,100% 30%,100% 70%,70% 100%,30% 100%,0 70%,0 30%)}.lets-review-design-4 .score__wrap:before{content:"";background:#181818;height:160px;width:160px;position:absolute;top:50%;left:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);-webkit-clip-path:polygon(30% 0,70% 0,100% 30%,100% 70%,70% 100%,30% 100%,0 70%,0 30%);clip-path:polygon(30% 0,70% 0,100% 30%,100% 70%,70% 100%,30% 100%,0 70%,0 30%)}.lets-review-design-4 .score__wrap>*{position:relative;z-index:1}.lets-review-design-4 .lets-review-block__main-title{text-align:center;-webkit-box-pack:center;justify-content:center}@media only screen and (min-width:768px){.lets-review-design-4:not(.lets-review--side) .lets-review-block__conclusion__wrap{text-align:left;grid-column-start:1;grid-column-end:2}.lets-review-design-4:not(.lets-review--side) .lets-review-block__conclusion__wrap~.lets-review-block__proscons{grid-column-start:2;grid-column-end:4;text-align:left}}.lets-review-design-5{display:grid;grid-template-columns:repeat(2,1fr);text-align:center}.lets-review-design-5 .lets-review-block{grid-column-start:1;grid-column-end:4}.lets-review-design-5 .lets-review-block__main-title{-webkit-box-ordinal-group:3;order:2}.lets-review-design-5 .lets-review-block__proscons{-webkit-box-ordinal-group:4;order:3}.lets-review-design-5 .lets-review-block__final-score{-webkit-box-ordinal-group:5;order:4}.lets-review-design-5 .lets-review-block__conclusion__wrap{-webkit-box-ordinal-group:4;order:3}.lets-review-design-5 .lets-review-block__aff{-webkit-box-ordinal-group:6;order:5}.lets-review-design-5.lets-review-skin-1 .lets-review-block:not(.lets-review-block__bg):first-child{padding-top:0}.lets-review-design-5.lets-review-skin-1 .lets-review-block__pad{padding-left:0;padding-right:0}.lets-review-design-5 .score__wrap{border:7px solid transparent;border-radius:50%;width:160px;height:160px;margin:0 auto;color:#fff}.lets-review-design-5 .lets-review-block__main-title{text-align:center;-webkit-box-pack:center;justify-content:center}@media only screen and (min-width:768px){.lets-review-design-5:not(.lets-review--side):not(.conclusion__off) .lets-review-block__proscons{grid-column-start:2;grid-column-end:4;text-align:left}.lets-review-design-5:not(.lets-review--side):not(.proscons__off) .lets-review-block__conclusion__wrap{text-align:left;grid-column-start:1;grid-column-end:2}}.lets-review-design-6{text-align:center;display:grid;grid-template-columns:repeat(12,1fr)}.lets-review-design-6 .lets-review-block{grid-column-start:1;grid-column-end:13}.lets-review-design-6 .lets-review-block{background-color:#181818;color:#fff}.lets-review-design-6 .score-overlay-wrap{background:#252525}.lets-review-design-6 .lets-review-block__aff{border-top:1px solid #252525}.lets-review-design-6 .lets-review-block__main-title{-webkit-box-ordinal-group:2;order:1}.lets-review-design-6 .lets-review-block__user_rating{text-align:left}.lets-review-design-6 .lets-review-block__crits{-webkit-box-ordinal-group:5;order:4}.lets-review-design-6 .lets-review-block__proscons{-webkit-box-ordinal-group:4;order:3}.lets-review-design-6 .lets-review-block__final-score{padding-top:0;-webkit-box-ordinal-group:3;order:2}.lets-review-design-6 .lets-review-block__img{-webkit-box-ordinal-group:1;order:0}.lets-review-design-6 .lets-review-block__conclusion__wrap{-webkit-box-ordinal-group:4;order:3}.lets-review-design-6 .lets-review-block__aff{-webkit-box-ordinal-group:6;order:5}.lets-review-design-6 .lets-review-block__number-reviews{-webkit-box-ordinal-group:5;order:4}.lets-review-design-6 a.leave__review{border:1px solid #333}.lets-review-design-6 .aff-button-wrap{margin-bottom:-15px;margin-left:auto;-webkit-box-pack:end;justify-content:flex-end;display:-webkit-box;display:flex;flex-wrap:wrap}.lets-review-design-6 .aff-button{margin-right:0;margin-bottom:15px;border-radius:180px}.lets-review-design-6 .aff-button:hover{-webkit-transform:scale(1.05,1.05);transform:scale(1.05,1.05)}.lets-review-design-6 .aff-button:not(.leave__review){border:0}.lets-review-design-6 .lets-review-block__aff{display:-webkit-box;display:flex;-webkit-box-align:center;align-items:center}.lets-review-design-6 .lets-review-block__aff .lets-review-block__title{padding-bottom:0}.lets-review-design-6 .lets-review-block__crits{padding:20px}.lets-review-design-6 .lets-review-block__final-score{padding:0}.lets-review-design-6 .lets-review-block__final-score:last-of-type{padding-bottom:30px}.lets-review-design-6 .lets-review-block__img{height:100%;max-height:220px;overflow:hidden}.lets-review-design-6 .lets-review-block__img img{-o-object-fit:cover;object-fit:cover;-o-object-position:center;object-position:center;height:100%;width:100%}.lets-review-design-6 .lets-review-block__img~.lets-review-block__final-score{padding:0}.lets-review-design-6 .score-overlay-wrap{height:3px}.lets-review-design-6 .score__wrap{padding:0;width:100px;height:115px;margin:0 auto;position:relative;color:#fff;-webkit-clip-path:polygon(50% 0,100% 25%,100% 75%,50% 100%,0 75%,0 25%);clip-path:polygon(50% 0,100% 25%,100% 75%,50% 100%,0 75%,0 25%)}.lets-review-design-6 .score__wrap .score{font-size:36px}.lets-review-design-6 .score__wrap>*{position:relative;z-index:1}.lets-review-design-6 .lets-review-block__img~.lets-review-block__final-score{-webkit-box-ordinal-group:1;order:0}.lets-review-design-6 .lets-review-block__img~.lets-review-block__final-score .score__wrap{margin:-140px 30px 0 auto}.lets-review-design-6 .lets-review-block__main-title{text-align:center;-webkit-box-pack:center;justify-content:center}@media only screen and (max-width:768px){.lets-review-design-6 .lets-review-block__conclusion{max-width:420px;margin:0 auto}.lets-review-design-6 .lets-review-block__crit__score{margin-left:auto}.lets-review-design-6 .lets-review-block__crit{display:-webkit-box;display:flex;flex-wrap:wrap}.lets-review-design-6 .lets-review-block__crit:last-child .score-overlay-wrap{margin-bottom:0}.lets-review-design-6 .score-overlay-wrap{margin-top:5px;margin-bottom:15px}}@media only screen and (min-width:768px){.lets-review-design-6:not(.lets-review--side) .lets-review-block__conclusion__wrap{text-align:left;grid-column-start:1;grid-column-end:7}.lets-review-design-6:not(.lets-review--side) .lets-review-block__conclusion__wrap~.lets-review-block__proscons{grid-column-start:7;text-align:left;grid-column-end:13;padding-left:0}.lets-review-design-6:not(.lets-review--side) .lets-review-block__crit{display:grid;grid-template-columns:repeat(12,1fr);-webkit-box-align:center;align-items:center;margin-bottom:10px}.lets-review-design-6:not(.lets-review--side) .lets-review-block__crit:last-child{margin-bottom:0}.lets-review-design-6:not(.lets-review--side) .lets-review-block__crit__title{grid-column-start:1;grid-column-end:7;-webkit-box-ordinal-group:2;order:1}.lets-review-design-6:not(.lets-review--side) .lets-review-block__crit__score{grid-column-start:12;grid-column-end:13;-webkit-box-ordinal-group:4;order:3;min-width:45px}.lets-review-design-6:not(.lets-review--side) .score-overlay-wrap{-webkit-box-ordinal-group:3;order:2;grid-column-start:7;grid-column-end:12}}@media only screen and (min-width:1200px){.lets-review-design-6 .lets-review-block__crits{padding:30px 30px 60px}.lets-review-design-6 .lets-review-block__crits:hover a.leave__review{-webkit-transform:translate(-50%,calc(-50% - 15px));transform:translate(-50%,calc(-50% - 15px))}.lets-review-design-6 .lets-review-block__crits~.lets-review-block__number-reviews{padding-top:0}}.lr-cf:after{content:"";display:block;clear:both}
		<?php
		// Separated additions
		?>
		.lets-review-block__img amp-img {width: 100%;height: inherit;}
		<?php
	}
}
new Lets_Review_AMP();
